AsynchroMaster bean SCI data Width stuck at 9 bits

cancel
Showing results for 
Search instead for 
Did you mean: 

AsynchroMaster bean SCI data Width stuck at 9 bits

836 Views
jgirard1
Contributor III

I am using the AsynchroMaster bean to transmit and receive basic MIDI 31.25K baud serial data.  Upon configuring the bean with Processor Expert, two parameters are grey'd out.  The Party and the Width.  The code is being generated in 9-bit mode but I need 8-bit.  Why is this option grey'd out?  How can I change the width to 8-bits?  Are these options dependant on some other option?  Is this option configured elsewhere? 

Labels (1)
Tags (1)
0 Kudos
10 Replies

126 Views
jgirard1
Contributor III

I forgot to mention that I am using a MC9S08DZ60, which does have these options in the SCI Control Register.  I closely inspected the code and it looks like the register is being initialized correctly for 8-bit mode, but it still puzzles me why the Processor Experts has these fields grey'd out.  The default for the field shows 9-bits, but the code is being generated as 8-bits.  Very odd.....

0 Kudos

126 Views
kef
Specialist I

AsynchroMaster is to communicate with addresseable AnsynchroSlave's. I think you need AsynchroSerial.

126 Views
jgirard1
Contributor III

I tried using both master and slave beans and the results were the same.  If I float my cursor over the items, the popup help inidicates that:

 

"Version specific item: Settings not supported for MFC derivatives."

 

I am not using a MFC derivative.  What the heck is MFC anyway?

 

I am setup for MC9S08DZ60MLC.  Is this a bug in Processor Expert?

0 Kudos

126 Views
BlackNight
NXP Employee
NXP Employee

MFC == ColdFire

0 Kudos

126 Views
BlackNight
NXP Employee
NXP Employee

I just tried this with my MCU10 (eclipse based) installation, and added an AsynchroSerial component to my MC9S08DZ60MLH project, and there I can change the bits from 4 bits up to 9 bits.

What version of CodeWarrior are you using?

0 Kudos

126 Views
BlackNight
NXP Employee
NXP Employee

If you start a new development, you maybe should consider using the eclipse based MCU10.

And I have the V6.3 installed on my machine in parallel, and it shows PE 3.09 service pack installed. I believe I received it through the normal CodeWarrior updater, but not sure any more.

Anyway you can download the PE 3.09 from the Freescale web:

http://www.freescale.com/webapp/sps/site/overview.jsp?nodeId=01521027260061788213CF8680

If that link does not work for you:

- go to www.freescale.com/codewarrior

- click on 'download CodeWarrior now' (right part of page)

- click on 'updates and patches' (left side)

- click on 'CodeWarrior for Microcontrollers (classic)

- click on 'CodeWarrior for Microcontrollers V6.3'

then you get a list of all updates, including PE 3.09

 

0 Kudos

126 Views
jgirard1
Contributor III

I did the 3.09 PE service pack update and still the problem persists.  I think it's just a bug in the PE configuration for the type of CPU I am working with.  I can fiddle with it some more tomorrow and try different CPUs and things to see if I can make sense out of it and get the option to be enabled.

0 Kudos

126 Views
kef
Specialist I

jgirard1,

 

try AsynchroSerial, not AsynchroMAster or AsynchroSlave. AsynchroMaster and AsynchroSlave are for but type communication, where master and all slaves are connected in parallel. I don't know has it somthing in common with LIN bus or not, I guess there are some software restrictions applied to parity and bit-ness in these components. Use AsynchroSerial instead.

0 Kudos

126 Views
jgirard1
Contributor III

I think these are the only two serial options (Master & Slave) that were listed that were close enough to what I wanted.  I will double check tonight when I get home.  If I do not have the Serial bean, how can I go about adding it?  Are there more beans to download from Freescale?

0 Kudos

126 Views
jgirard1
Contributor III

I am using CW 6.3.  I just downloaded it from Freescale two days ago.  I did all the updates, but at one point it said I needed to update Processor Expert first using servicepack v3.09 before I can update MM128/JE128 Sevice Pack Setup.  I have no idea where to get v3.09 service pack.  I check for Processor Expert updates within Code Warrior and there are no updates available.  I checked the version of Processor Expert and it says 3.07.  It all seems so disconnected.

0 Kudos